Bug 730340 - modifyrepo changes overwritten by createrepo --update
Summary: modifyrepo changes overwritten by createrepo --update
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: createrepo
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 443035
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-12 14:29 UTC by Karel Srot
Modified: 2012-06-26 19:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 443035
Environment:
Last Closed: 2012-06-26 19:56:44 UTC


Attachments (Terms of Use)

Comment 1 RHEL Product and Program Management 2011-08-12 14:48:00 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 Suzanne Yeghiayan 2012-02-14 23:13:21 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 7 James Antill 2012-06-26 19:56:44 UTC
       --update
              If  metadata  already  exists  in  the  outputdir  and an rpm is
              unchanged (based on file size and mtime) since the metadata  was
              generated, reuse the existing metadata rather than recalculating
              it. In the case of a large repository with only  a  few  new  or
              modified  rpms  this can significantly reduce I/O and processing
              time.

...this doesn't imply that we aren't generating a new repomd.xml ... and it's pretty helpful to have "--update" just be an optimization, and not generate different repodata than a clean run would have. So I think we want to NAK this RFE.


Note You need to log in before you can comment on or make changes to this bug.